decimal 2.2.0 icon indicating copy to clipboard operation
decimal: ^2.2.0 copied to clipboard

The decimal package allows you to deal with decimal numbers without losing precision.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add decimal

With Flutter:

 $ flutter pub add decimal

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  decimal: ^2.2.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:decimal/decimal.dart';
160
likes
130
pub points
98%
popularity

Publisher

unverified uploader

The decimal package allows you to deal with decimal numbers without losing precision.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Icon for licenses.unknown (LICENSE)

Dependencies

rational

More

Packages that depend on decimal